org.hibernate.search.elasticsearch.work.impl.factory

## Class Elasticsearch5WorkFactory

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.factory.Elasticsearch2WorkFactory
  - - org.hibernate.search.elasticsearch.work.impl.factory.Elasticsearch5WorkFactory

- All Implemented Interfaces:
    ElasticsearchWorkFactory

      public class Elasticsearch5WorkFactory
      extends Elasticsearch2WorkFactory

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Elasticsearch5WorkFactory(GsonProvider gsonProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteByQueryWorkBuilder` | `deleteByQuery(URLEncodedString indexName, com.google.gson.JsonObject payload)`
    `FlushWorkBuilder` | `flush()`
    `OptimizeWorkBuilder` | `optimize()`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.work.impl.factory.Elasticsearch2WorkFactory

      `bulk, clearScroll, closeIndex, createIndex, delete, dropIndex, explain, getIndexSettings, getIndexTypeMappings, index, indexExists, openIndex, putIndexSettings, putIndexTypeMapping, refresh, scroll, search, waitForIndexStatusWork`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Elasticsearch5WorkFactory

          public Elasticsearch5WorkFactory(GsonProvider gsonProvider)

  - ### Method Detail

    - #### flush

          public FlushWorkBuilder flush()

      Specified by:
        `flush` in interface `ElasticsearchWorkFactory`
      Overrides:
        `flush` in class `Elasticsearch2WorkFactory`

    - #### optimize

          public OptimizeWorkBuilder optimize()

      Specified by:
        `optimize` in interface `ElasticsearchWorkFactory`
      Overrides:
        `optimize` in class `Elasticsearch2WorkFactory`

    - #### deleteByQuery

          public DeleteByQueryWorkBuilder deleteByQuery(URLEncodedString indexName,
                                                        com.google.gson.JsonObject payload)

      Specified by:
        `deleteByQuery` in interface `ElasticsearchWorkFactory`
      Overrides:
        `deleteByQuery` in class `Elasticsearch2WorkFactory`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved